<?php
error_reporting(E_ALL);
require_once 'DDDatabase/DDDatabase.php';

$o_dbconfig = new DDConnectSettings();
$o_dbconfig->setApplication(DDConnectSettings::SQLite);
$o_dbconfig->setDatabase('digitaldev.sq3');


$o_db = new DDDatabase();
$o_db->setConnectSettings('ddev', $o_dbconfig);


//criando tabela
$st_query = 'CREATE TABLE IF NOT EXISTS tbl_usuario
			(
			  usu_in_id INTEGER PRIMARY KEY,
			  usu_st_nick TEXT NOT NULL,
			  usu_st_nome TEXT NOT NULL,
			  usu_st_senha TEXT NOT NULL,
			  usu_st_email TEXT NOT NULL,
			  usu_dt_criacao DATE
			)';
try
{
	$o_ret = $o_db->execQuery('ddev', $st_query);
}
catch(DDDException $e)
{
	echo 'Erro ao criar tabela tbl_usuario';
}

//Inserindo dados
for($in_count = 0 ; $in_count < 10 ; $in_count++)
{
	$st_query = "INSERT INTO tbl_usuario
				(usu_st_nick,usu_st_nome,usu_st_senha,usu_st_email)
				VALUES
				('usuario$in_count','usuario$in_count','senha$in_count','usuario$in_count@digitaldev.com.br')";	
			
	try
	{
		$o_ret = $o_db->execQuery('ddev', $st_query);
	}
	catch(DDDException $e)
	{
		echo 'Erro ao Inserir usurios';
	}
}

//mostrando dados
try
{
	$o_resp = $o_db->execQuery('ddev', 'SELECT * FROM tbl_usuario');
	$o_dados = $o_resp->getData(DDData::OBJECT);
	?>
	<table border='1' width='100%'>
		<tr>
			<th>ID</th>
			<th>Nome</th>
			<th>Nick</th>
			<th>Senha</th>
			<th>E-mail</th>
		</tr>			
	<?php
	for($in_cont = 0 ; isset($o_dados[$in_cont]) ; $in_cont++)
	{
		?>
		<tr>
			<td><?=$o_dados[$in_cont]->usu_in_id?></td>
			<td><?=$o_dados[$in_cont]->usu_st_nome?></td>
			<td><?=$o_dados[$in_cont]->usu_st_nick?></td>
			<td><?=$o_dados[$in_cont]->usu_st_senha?></td>
			<td><?=$o_dados[$in_cont]->usu_st_email?></td>
		</tr>
		<?php
	}	
	?>
	</table>
	<?php
}
catch (DDDException $e)
{
	echo 'Erro ai imprimir dados';	
}
?>